<?php

class dynamic_emvideo_handler_field_multiple extends content_handler_field_multiple {

  function option_definition() {
    $options = parent::option_definition();
    $options['dynamic_emvideo'] = array('default' => FALSE);
    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['dynamic_emvideo'] = array(
      '#type' => 'checkbox',
      '#title' => t('Use dynamic formatter'),
      '#description' => t('If checked, this field will use a formatter provided by a dynamic views style.'),
      '#default_value' => $this->options['dynamic_emvideo'],
      '#weight' => 5,
    );
  }

  function render($values) {
    // Shall we use dynamic ImageCache settings for this field?
    if ($this->options['dynamic_emvideo']) {
      $this->options['format'] = $this->view->style_plugin->dynamic_formatters_renderer->rows[$values->nid]['style']['formatters']['emvideo'];
    }
    return parent::render($values);
  }
}
