<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_ad_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ns_ad_node_info() {
  $items = array(
    'ns_ad' => array(
      'name' => t('Advertisement'),
      'module' => 'features',
      'description' => t('An advertisement on the site.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_ad_rules_defaults() {
  return array(
    'rules' => array(
      'rules_clear_ads_cache' => array(
        '#type' => 'rule',
        '#set' => 'event_node_presave',
        '#label' => 'Clear Ads Cache',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_ad',
        ),
        '#status' => 'default',
        '#conditions' => array(),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_2:node_view' => 'node_view_panel_context_2:node_view',
                'term_view_panel_context:term_view' => 'term_view_panel_context:term_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'rules_clear_ads_cache_delete' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear Ads Cache Delete',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_ad',
        ),
        '#status' => 'default',
        '#conditions' => array(),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_2:node_view' => 'node_view_panel_context_2:node_view',
                'term_view_panel_context:term_view' => 'term_view_panel_context:term_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function ns_ad_views_api() {
  return array(
    'api' => '3.0-alpha1',
  );
}
