<?php

/**
 * Implementation of hook_content_default_fields().
 */
function ns_blog_content_default_fields() {
  $fields = array();

  // Exported field: field_ns_blog_blogger
  $fields['ns_blog-field_ns_blog_blogger'] = array(
    'field_name' => 'field_ns_blog_blogger',
    'type_name' => 'ns_blog',
    'display_settings' => array(
      'weight' => '5',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_contributor' => 'ns_contributor',
      'ns_article' => 0,
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_fact' => 0,
      'ns_image' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_blog_blogger][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Bloggers',
      'weight' => '5',
      'description' => 'The contributors chosen here will be listed when viewing the blog\'s page. (See separate section for more information about the Contributor feature.)',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_blog_description_long
  $fields['ns_blog-field_ns_blog_description_long'] = array(
    'field_name' => 'field_ns_blog_description_long',
    'type_name' => 'ns_blog',
    'display_settings' => array(
      'weight' => '4',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '10',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '2',
          '_error_element' => 'default_value_widget][field_ns_blog_description_long][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Long description',
      'weight' => '4',
      'description' => 'This text will be used when viewing the blog\'s page, also displaying recent its blog posts.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_blog_description_short
  $fields['ns_blog-field_ns_blog_description_short'] = array(
    'field_name' => 'field_ns_blog_description_short',
    'type_name' => 'ns_blog',
    'display_settings' => array(
      'weight' => '3',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '2',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_ns_blog_description_short][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Short description',
      'weight' => '3',
      'description' => 'This text will be used when the blog is displayed in compact format – such as when displayed in the sidebar next to blog posts.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_blog_image
  $fields['ns_blog-field_ns_blog_image'] = array(
    'field_name' => 'field_ns_blog_image',
    'type_name' => 'ns_blog',
    'display_settings' => array(
      'weight' => '2',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'grid-11_default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'grid-34_default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'image_plain',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'image_plain',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'filefield',
    'required' => '1',
    'multiple' => '0',
    'module' => 'filefield',
    'active' => '1',
    'list_field' => '0',
    'list_default' => 1,
    'description_field' => '0',
    'widget' => array(
      'file_extensions' => 'png gif jpg jpeg',
      'file_path' => '',
      'progress_indicator' => 'bar',
      'max_filesize_per_file' => '',
      'max_filesize_per_node' => '',
      'max_resolution' => '0',
      'min_resolution' => '0',
      'alt' => '',
      'custom_alt' => 1,
      'title' => '',
      'custom_title' => 1,
      'title_type' => 'textfield',
      'default_image' => NULL,
      'use_default_image' => 0,
      'label' => 'Image',
      'weight' => '2',
      'description' => 'Only one image is allowed. Using alternate and title texts will help visually impaired and search robots understand the image.',
      'type' => 'imagefield_widget',
      'module' => 'imagefield',
    ),
  );

  // Exported field: field_ns_blog_post_blog
  $fields['ns_blog_post-field_ns_blog_post_blog'] = array(
    'field_name' => 'field_ns_blog_post_blog',
    'type_name' => 'ns_blog_post',
    'display_settings' => array(
      'weight' => '2',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '1',
    'multiple' => '0',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_blog' => 'ns_blog',
      'ns_article' => 0,
      'ns_blog_post' => 0,
      'ns_contributor' => 0,
      'ns_fact' => 0,
      'ns_image' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'crossclone' => array(
      'coupling' => 0,
      'couple' => '0',
      'delete' => '0',
    ),
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_blog_post_blog][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Blog',
      'weight' => '2',
      'description' => 'The blog that the blog post belongs to.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_blog_post_blogger
  $fields['ns_blog_post-field_ns_blog_post_blogger'] = array(
    'field_name' => 'field_ns_blog_post_blogger',
    'type_name' => 'ns_blog_post',
    'display_settings' => array(
      'weight' => '5',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_contributor' => 'ns_contributor',
      'ns_article' => 0,
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_fact' => 0,
      'ns_image' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_blog_post_blogger][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Bloggers',
      'weight' => '5',
      'description' => 'The contributors chosen here will be listed when viewing the blog\'s page.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_blog_post_body
  $fields['ns_blog_post-field_ns_blog_post_body'] = array(
    'field_name' => 'field_ns_blog_post_body',
    'type_name' => 'ns_blog_post',
    'display_settings' => array(
      'weight' => '3',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'trimmed',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '10',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '2',
          '_error_element' => 'default_value_widget][field_ns_blog_post_body][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Body',
      'weight' => '3',
      'description' => 'The blog post main body text.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_blog_post_image
  $fields['ns_blog_post-field_ns_blog_post_image'] = array(
    'field_name' => 'field_ns_blog_post_image',
    'type_name' => 'ns_blog_post',
    'display_settings' => array(
      'weight' => '4',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_image' => 'ns_image',
      'ns_article' => 0,
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_contributor' => 0,
      'ns_fact' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_blog_post_image][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Images',
      'weight' => '4',
      'description' => 'If more than one image is added to the article, they will be displayed as a slideshow rather than a single static image.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Blog');
  t('Bloggers');
  t('Body');
  t('Image');
  t('Images');
  t('Long description');
  t('Short description');

  return $fields;
}
