<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_blog_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => 1);
  }
  elseif ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ns_blog_node_info() {
  $items = array(
    'ns_blog' => array(
      'name' => t('Blog'),
      'module' => 'features',
      'description' => t('Your site can contain as many blogs as you want. Add an image, a description and a contributor (blogger) and then let him/her add blog posts to the blog.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
    'ns_blog_post' => array(
      'name' => t('Blog Post'),
      'module' => 'features',
      'description' => t('A contributor (blogger) can add blog posts to the blogs he/she is assigned to. '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_blog_rules_defaults() {
  return array(
    'rules' => array(
      'ns_blog_3' => array(
        '#type' => 'rule',
        '#set' => 'event_node_presave',
        '#label' => 'Clear Blog Cache When blog is changed',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_blog',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Saved content is Blog or Post',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'ns_blog' => 'ns_blog',
                'ns_blog_post' => 'ns_blog_post',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'page_ns_blog_panel_context:page:ns_blog' => 'page_ns_blog_panel_context:page:ns_blog',
                'node_view_panel_context_3:node_view' => 'node_view_panel_context_3:node_view',
                'node_view_panel_context_4:node_view' => 'node_view_panel_context_4:node_view',
              ),
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'ns_blog_1' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear the blog cache when blogs or blog posts are deleted',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_blog',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'Deleted content is Blog or Contributor or Image or Post',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'ns_blog' => 'ns_blog',
                'ns_contributor' => 'ns_contributor',
                'ns_image' => 'ns_image',
                'ns_blog_post' => 'ns_blog_post',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'page_ns_blog_panel_context:page:ns_blog' => 'page_ns_blog_panel_context:page:ns_blog',
                '14' => '14',
                '13' => '13',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function ns_blog_views_api() {
  return array(
    'api' => '3.0',
  );
}
