<?php

/**
 * Implementation of hook_views_default_views().
 */
function ns_contributor_views_default_views() {
  $views = array();

  // Exported view: ns_contributor_user
  $view = new view;
  $view->name = 'ns_contributor_user';
  $view->description = 'Get the contributor associated with a specific user id';
  $view->tag = 'ns_contributor';
  $view->base_table = 'node';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 1;
  /* Argument: Content: User (field_ns_contributor_user) */
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['id'] = 'field_ns_contributor_user_uid';
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['table'] = 'node_data_field_ns_contributor_user';
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['field'] = 'field_ns_contributor_user_uid';
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['field_ns_contributor_user_uid']['not'] = 0;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_contributor' => 'ns_contributor',
  );
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $translatables['ns_contributor_user'] = array(
    t('Defaults'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort By'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('Nid'),
    t('All'),
  );

  $views[$view->name] = $view;

  return $views;
}
