<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_promo_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "dynamic_formatters" && $api == "dynamic_formatters_default") {
    return array("version" => 1);
  }
  elseif ($module == "page_manager" && $api == "pages_default") {
    return array("version" => 1);
  }
  elseif ($module == "panels_mini" && $api == "panels_default") {
    return array("version" => 1);
  }
  elseif ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ns_promo_node_info() {
  $items = array(
    'ns_promo' => array(
      'name' => t('Promo'),
      'module' => 'features',
      'description' => t('A promo is a small preview of an article, displayed on the start page or the front page of a category. Several promos with different looks and content can be created and refereed to the same article. '),
      'has_title' => '1',
      'title_label' => t('Headline'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_promo_rules_defaults() {
  return array(
    'rules' => array(
      'ns_promo_article_clone' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Create Promo clone of Article',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          'ns_promo' => 'ns_promo',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_article' => 'ns_article',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Created content is Article',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#negate' => 1,
            '#weight' => 0,
            '#info' => array(
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'label' => 'Content is a translation',
              'module' => 'Node',
            ),
            '#name' => 'ns_core_condition_node_is_translation',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'Cross clone node',
              'module' => 'Node',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
            ),
            '#name' => 'crossclone_node_action',
            '#settings' => array(
              'type' => 'ns_promo',
              'clone' => '2',
              'couple' => '0',
              'delete' => '1',
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
      'ns_promo_3' => array(
        '#type' => 'rule',
        '#set' => 'event_node_presave',
        '#label' => 'Clear Promo cache when a promo is created or saved',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_promo',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Saved content is Promo',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'ns_promo' => 'ns_promo',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'term_view_panel_context:term_view' => 'term_view_panel_context:term_view',
              ),
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
      'ns_promo_2' => array(
        '#type' => 'rule',
        '#set' => 'rules_ns_promo_clear_cache',
        '#label' => 'Clear Cache for page template and term page',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_promo',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_promo' => 'ns_promo',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Content is Promo',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'term_view_panel_context:term_view' => 'term_view_panel_context:term_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'ns_promo_redirect' => array(
        '#type' => 'rule',
        '#set' => 'event_node_view',
        '#label' => 'Redirect promo view to where it\'s shown',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_promo',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_promo' => 'ns_promo',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Viewed content is Promo',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Page redirect',
              'module' => 'System',
              'eval input' => array(
                '0' => 'path',
                '1' => 'query',
                '2' => 'fragment',
              ),
            ),
            '#name' => 'rules_action_drupal_goto',
            '#settings' => array(
              'path' => 'taxonomy/term/[node:term-id]',
              'query' => '',
              'fragment' => '',
              'force' => 0,
              'immediate' => 0,
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'path' => array(
                    '0' => 'node',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'ns_promo_1' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear Promo cache when a promo is deleted',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_promo',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_promo' => 'ns_promo',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Deleted content is Promo',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'term_view_panel_context:term_view' => 'term_view_panel_context:term_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'ns_promo_4' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear Promo cache when an article is removed',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_promo',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_article' => 'ns_article',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Deleted content is Article',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                '15' => '15',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function ns_promo_views_api() {
  return array(
    'api' => '3.0-alpha1',
  );
}
